<?php
class URI {
	private $_text,$_link,$_image;
	
	public function __construct($text, $link, $image="") {
		$this->_text=$text;
		$this->_link=strtolower($link);
		$this->_image=$image;
	}
	
	public function GetText(){
		return $this->_text;
	}
	
	public function GetLinkLocation(){
		return $this->_link;
	}
	
	public function GetAbsoluteLocation(){
		throw new BadFunctionCallException("GetAbsoluteLocation is yet to be implemented");
	}
	
	public function GetImage() {
		return $this->_image;
	}
}
